Debian Bug report logs - #702825
ITP: libpath-tiny-perl -- file path utility

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Mon, 11 Mar 2013 21:30:02 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version libpath-tiny-perl/0.020-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#702825; Package wnpp. (Mon, 11 Mar 2013 21:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Mon, 11 Mar 2013 21:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libpath-tiny-perl -- file path utility
Date: Mon, 11 Mar 2013 22:26:33 +0100
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : libpath-tiny-perl
  Version         : 0.014
  Upstream Author : David Golden <dagolden@cpan.org>
* URL             : https://metacpan.org/module/Path::Tiny
* License         : Apache-2.0
  Programming Lang: Perl
  Description     : file path utility

 File::Tiny attempts to provide a small, fast utility for working with
 file paths. It is friendlier to use than File::Spec and provides easy
 access to functions from several other core file handling modules.
 .
 It doesn't attempt to be as full-featured as IO::All or Path::Class,
 nor does it try to work for anything except Unix-like and Win32
 platforms.  Even then, it might break if you try something particularly
 obscure or tortuous. (Quick! What does this mean:
 "///../../..//./././a//b/.././c/././"? And how does it differ on
 Win32?)



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 28 May 2013 20:06:07 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Mon, 01 Jul 2013 00:03:13 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Mon, 01 Jul 2013 00:03:14 GMT) Full text and rfc822 format available.

Message #12 received at 702825-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 702825-close@bugs.debian.org
Subject: Bug#702825: fixed in libpath-tiny-perl 0.020-1
Date: Mon, 01 Jul 2013 00:00:21 +0000
Source: libpath-tiny-perl
Source-Version: 0.020-1

We believe that the bug you reported is fixed in the latest version of
libpath-tiny-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702825@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libpath-tiny-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 28 May 2013 17:55:00 +0200
Source: libpath-tiny-perl
Binary: libpath-tiny-perl
Architecture: source all
Version: 0.020-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libpath-tiny-perl - file path utility
Closes: 702825
Changes: 
 libpath-tiny-perl (0.020-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#702825.
Checksums-Sha1: 
 eab75be1dc63360a288026a09c2bbc04fd7cde9a 2303 libpath-tiny-perl_0.020-1.dsc
 be3eb349d6539a0ddf9d9c9d75fddce8d412b283 38428 libpath-tiny-perl_0.020.orig.tar.gz
 f8918e4b9a4310c739fb1150bfcc80aa0afa2584 3381 libpath-tiny-perl_0.020-1.debian.tar.gz
 8962fd955ab595063e24472cb0c2bae86c444c6d 34654 libpath-tiny-perl_0.020-1_all.deb
Checksums-Sha256: 
 e3855241f581465997e5c9b5fa51e23502bd19c46d53b2e04b795873420c9c9c 2303 libpath-tiny-perl_0.020-1.dsc
 9d51839bfc044e90f1faa2f5f570c9e71a58cbf2406f76b8f6bf020bd0395e02 38428 libpath-tiny-perl_0.020.orig.tar.gz
 171163b049033cb2c65f6f60da422f5a210884be6860cf71e25c48aef2c22a75 3381 libpath-tiny-perl_0.020-1.debian.tar.gz
 c569104b2bf0506adac48cb111120f6aad6ccb2e2e1bde95f4172b3d0c2a5fc6 34654 libpath-tiny-perl_0.020-1_all.deb
Files: 
 f85b35e6db3b3422bd79d733a3059e3d 2303 perl optional libpath-tiny-perl_0.020-1.dsc
 a68c1746a26540c42cc30f8b06255944 38428 perl optional libpath-tiny-perl_0.020.orig.tar.gz
 bc401bcdbc7fba217fb6f07c09eec5b0 3381 perl optional libpath-tiny-perl_0.020-1.debian.tar.gz
 28b78190a0f160ef6524110bc7cf6c19 34654 perl optional libpath-tiny-perl_0.020-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRpNO5AAoJECx8MUbBoAEhM0wQAJ0l5dbIIQuNOB8qHMjt8whW
qD3sRL5XwSAgMtyMfqJOmPV4wVxRqvq/iWXgrq7fLFzI+lxJm7Js5IFP7slXA01t
BuJE+AqfxxSDR1uJJQja+mAHOxmmjc1gafH4hDIbb6rIS+C8r+5diINrwae/nVck
/dMT3eUByasfP/Vr7Mx6VBp27V65HBwzZ47F5APANzaVOJ8zVpZXWRiAViPr2x4G
J/S9RHH/ZjkYoRSoYPqifiyETajeF+++N1gNsui0aAOcF0fDrDIwv23IfSRUXTnb
k7oLisVHCphfDnbCRxCStdsVsUn0O0RB1OnwpYA/jV4Qm+MIRDSkqEQN+ZTfgX8B
PVvq4apNuL+/Fw92dxuafaDmfz/YXrbyu7y/22y1BX0r/5Ws9JtBlBNGmCw45ZGQ
qMQNCF5aXIBpt6p6pkcMX83E5ZV9psPHxQknvG7xJqeCK2yrrCRjIuZQQSlj5CdC
4v2Bg+uVc5Z+9tKIvRIzuPrGLSnNpBgodFG3URIDY3e6HYUAyDsnXEV3auoTN7Oh
kbBB7GeWfCNlksJajZOIWGmt4genkg/lXgDE1PmbjwfohhnQ9+haPCN8pXoWLaUE
YUfSOLkFo42qou0hCeDitpc49j/7BD8acZrlTf0A6YjPuc0/yztGVyFOyVcvqT1y
S31rC7zQ5eL7bttucjBV
=5mLd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Jul 2013 07:26:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:16:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.